package cz.muni.fi.pa165.soccermanager.dto.request;

import cz.muni.fi.pa165.soccermanager.enums.Nation;
import cz.muni.fi.pa165.soccermanager.enums.PlayerState;
import cz.muni.fi.pa165.soccermanager.enums.Position;
import java.time.LocalDate;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Past;
import lombok.Data;

@Data
public class CreatePlayerRequest {

  @NotBlank
  private String name;

  @NotNull
  @Past
  private LocalDate birthDate;

  @NotNull
  private Nation nation;

  private Integer dressNumber;

  @NotNull
  private Double height;

  @NotNull
  private Double weight;

  private Long team;

  private Position position;

  @NotNull
  private PlayerState state;
}
